IRCClient: NSObject(IRCClientSessionDelegate) Class Reference

# NSObject(IRCClientSessionDelegate) Class Reference

Receives delegate messages from an IRCClientSession. More...

`#import <IRCClientSessionDelegate.h>`

List of all members.

## Public Member Functions
(void) | - onConnect
(void) | - onNick:oldNick:
(void) | - onQuit:reason:
(void) | - onJoinChannel:
(void) | - onMode:
(void) | - onPrivmsg:nick:
(void) | - onNotice:nick:
(void) | - onInvite:nick:
(void) | - onCtcpRequest:type:nick:
(void) | - onCtcpReply:nick:
(void) | - onAction:nick:
(void) | - onUnknownEvent:origin:params:
(void) | - onNumericEvent:origin:params:

## Detailed Description

Receives delegate messages from an IRCClientSession.

Each IRCClientSession object needs a single delegate. Methods are called for each event that occurs on an IRC server that the client is connected to.

Note that for any given parameter, it may be optional, in which case a nil object may be supplied instead of the given parameter.

## Member Function Documentation

- (void) onAction: |  | (NSData *) | action
nick: |  | (NSString *) | nick |

A private CTCP ACTION was sent to the IRC client.

CTCP ACTION is not limited to channels; it may also be sent directly to other users.

Parameters:

  | action | the action message text.
  | nick | the nickname of the client that sent the action.

- (void) onConnect |  |  |  |

The client has successfully connected to the IRC server.

- (void) onCtcpReply: |  | (NSData *) | reply
nick: |  | (NSString *) | nick |

A private CTCP reply was sent to the IRC client.

Parameters:

  | reply | an NSData containing the raw C string of the reply.
  | nick | the nickname of the user that sent the reply.

- (void) onCtcpRequest: |  | (NSString *) | request
type: |  | (NSString *) | type
nick: |  | (NSString *) | nick |

A private CTCP request was sent to the IRC client.

Parameters:

  | request | the CTCP request string (after the type)
  | type | the CTCP request type
  | nick | the nickname of the user that sent the request.

- (void) onInvite: |  | (NSString *) | channel
nick: |  | (NSString *) | nick |

The IRC client has been invited to a channel.

Parameters:

  | channel | the channel for the invitation.
  | nick | the nickname of the user that sent the invitation.

- (void) onJoinChannel: |  | (IRCClientChannel *) | channel |  |

The IRC client has joined (connected) successfully to a new channel. This event creates an IRCClientChannel object, which you are expected to asign a delegate to, to handle events from the channel.

For example, on receipt of this message, a graphical IRC client would most likely open a new window, create an IRCClientChannelDelegate for the window, set the new IRCClientChannel's delegate to the new delegate, and then hook it up so that new events sent to the IRCClientChannelDelegate are sent to the window.

Parameters:

  | channel | the IRCClientChannel object for the newly joined channel.

- (void) onMode: |  | (NSString *) | mode |  |

The client has changed it's user mode.

Parameters:

  | mode | the new mode.

- (void) onNick: |  | (NSString *) | nick
oldNick: |  | (NSString *) | oldNick |

An IRC client on a channel that this client is connected to has changed nickname, or this IRC client has changed nicknames.

Parameters:

  | nick | the new nickname
  | oldNick | the old nickname

- (void) onNotice: |  | (NSData *) | notice
nick: |  | (NSString *) | nick |

The client has received a private NOTICE from another client.

Parameters:

  | notice | the text of the message
  | nick | the nickname of the other IRC client that sent the message.

- (void) onNumericEvent: |  | (NSUInteger) | event
origin: |  | (NSString *) | origin
params: |  | (NSArray *) | params |

An unhandled numeric was received from the IRC server

Parameters:

  | event | the unknown event number
  | origin | the sender of the event
  | params | an NSArray of NSData objects that are the raw C strings of the event.

- (void) onPrivmsg: |  | (NSData *) | message
nick: |  | (NSString *) | nick |

The client has received a private PRIVMSG from another IRC client.

Parameters:

  | message | the text of the message
  | nick | the other IRC Client that sent the message.

- (void) onQuit: |  | (NSString *) | nick
reason: |  | (NSString *) | reason |

An IRC client on a channel that this client is connected to has quit IRC.

Parameters:

  | nick | the nickname of the client that quit.
  | reason | (optional) the quit message, if any.

- (void) onUnknownEvent: |  | (NSString *) | event
origin: |  | (NSString *) | origin
params: |  | (NSArray *) | params |

An unhandled event was received from the IRC server.

Parameters:

  | event | the unknown event name
  | origin | the sender of the event
  | params | an NSArray of NSData objects that are the raw C strings of the event.

The documentation for this class was generated from the following file:

- IRCClientSessionDelegate.h